6.0.0-git
2019-03-22

[#14406] Contact lists are not provided as CardDAV groups
Summary Contact lists are not provided as CardDAV groups
Queue Turba
Queue Version 4.2.2
Type Enhancement
State Accepted
Priority 1. Low
Owners
Requester play (at) bitfire (dot) at
Created 2016-06-19 (1006 days ago)
Due
Updated 2016-06-20 (1005 days ago)
Assigned
Resolved
Milestone
Patch No

History
2016-06-20 10:38:00 Jan Schneider State ⇒ Accepted
 
2016-06-20 10:27:12 play (at) bitfire (dot) at Comment #3 Reply to this comment
* X-ADRESSBOOKSERVER-KIND AND -MEMBER information for VCard 3
Which clients are using these?
Mostly iOS and compatible clients; DAVdroid since 1.1.

X-ADDRESSBOOKSERVER-KIND/-MEMBER seem to be the common VCard3 mapping 
of VCard 4 KIND/MEMBER.
See also https://www.ietf.org/mail-archive/web/vcarddav/current/msg01984.html
2016-06-20 10:18:44 Jan Schneider Priority ⇒ 1. Low
State ⇒ Feedback
 
2016-06-20 10:18:33 Jan Schneider Comment #2 Reply to this comment
* KIND:group and MEMBER information for VCard 4
We don't have vCard 4 support yet, but a enhancement request for that 
already exists.
* X-ADRESSBOOKSERVER-KIND AND -MEMBER information for VCard 3
Which clients are using these?
* alternatively, don't serve contact lists as a VCard and use 
CATEGORIES to mark memberships
List in Turba *are* contacts at the same time, so this is not an option.
2016-06-19 14:45:30 play (at) bitfire (dot) at Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 2. Medium
Summary ⇒ Contact lists are not provided as CardDAV groups
Queue ⇒ Turba
Milestone ⇒
Patch ⇒ No
Reply to this comment
It seems that "contact lists", as created in the Web interface, are 
served as normal individual VCards to CardDAV clients. There's no 
member information, and neither of the usual CardDAV group 
implementations is used.

Suggestion: contact lists should be served with
* KIND:group and MEMBER information for VCard 4
* X-ADRESSBOOKSERVER-KIND AND -MEMBER information for VCard 3
* alternatively, don't serve contact lists as a VCard and use 
CATEGORIES to mark memberships

Saved Queries